commit:     4cfb0f5a998923b2d906c4c7617ca7060db783e1
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 20 05:42:23 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jan 20 08:16:06 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4cfb0f5a

dev-python/hypothesis: Bump to 5.1.6

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/hypothesis/Manifest                |  1 +
 dev-python/hypothesis/hypothesis-5.1.6.ebuild | 56 +++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 1e90e764edd..978367fb36c 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -5,3 +5,4 @@ DIST hypothesis-python-4.55.4.tar.gz 9004357 BLAKE2B 
93fe51581f044cf5f416d9b74b8
 DIST hypothesis-python-4.57.1.tar.gz 9005030 BLAKE2B 
3d318896cbe2d24fa6847e764a109791d3acf3821852f8e170991b0be5b069f166e16bdacf7a82fbe49bd9db5188315cdec7cdb4592647571233949ec5732991
 SHA512 
28622ce8a1d89d09df65f3fbf7e92a1ad98dac140ab646fe11fcb15e6aa9a9672eb51d459f984384d92b819f902de911b06cec2542582d529dd556d2f99ed952
 DIST hypothesis-python-5.1.4.tar.gz 8989696 BLAKE2B 
9d85cb1473654e36a235a07d2390fc967d6d7f2944e5294dedbca15ddb3c49901b04e9277ee80ff7591aa2b81ea0e2d537051f96b685900aefab5db70d135ac6
 SHA512 
25d0112f7b7a13221b8b68d553f4085344f1e8681c8795fac0bcfd714400a828539298d2919d3e638979eadd5daa65ef7ee8b0b946df076145e59c8bb7058a64
 DIST hypothesis-python-5.1.5.tar.gz 8989752 BLAKE2B 
e1dc2720fd8500436ff0ec0fadd8c7986f279be125f8cebf376349d6c6d1d28f9225cceb2fa54ab66e92c6750832dc6d157cf156980e7f58aa7251a1eff625fd
 SHA512 
89edc57116b3c503df2f0c6d4e60637ace6a7fc5c4ece6b426362b01a0be11e79be1e95784e24d849ac120000165ff46efd78c6cb6b163aebcb2b5a8c8d4c8e1
+DIST hypothesis-python-5.1.6.tar.gz 8990038 BLAKE2B 
c6f1c2974d84d60da7ab7b704c8dee96bc819de3e8a237343398c0fe74191ace9cbd23299b16189eaefa936fda87d9ee8fe171f37ff39014ba59cc421b2af03c
 SHA512 
e9049506a7da1df40dfad5bef5f270116047f3633ff27bbbd83ebf5f93b89010446c8ccd12100b033dcbf2743f0c17aabcbaf1774aeba0efc1e7483d58eaba81

diff --git a/dev-python/hypothesis/hypothesis-5.1.6.ebuild 
b/dev-python/hypothesis/hypothesis-5.1.6.ebuild
new file mode 100644
index 00000000000..963f87ee74a
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-5.1.6.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="https://github.com/HypothesisWorks/hypothesis 
https://pypi.org/project/hypothesis/";
+SRC_URI="https://github.com/HypothesisWorks/${PN}/archive/${PN}-python-${PV}.tar.gz";
+S="${WORKDIR}/${PN}-${PN}-python-${PV}/${PN}-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+       >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               ${RDEPEND}
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/pexpect[${PYTHON_USEDEP}]
+               >=dev-python/pytest-4.3[${PYTHON_USEDEP}]
+               !!<dev-python/typing-3.7.4.1
+       )
+"
+
+src_prepare() {
+       # avoid pytest-xdist dep for one test
+       sed -i -e 's:test_prints_statistics_given_option_under_xdist:_&:' \
+               tests/pytest/test_statistics.py || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       pytest -vv tests/cover tests/pytest tests/quality ||
+               die "Tests fail with ${EPYTHON}"
+}
+
+pkg_postinst() {
+       optfeature "datetime support" dev-python/pytz
+       optfeature "dateutil support" dev-python/python-dateutil
+       optfeature "numpy support" dev-python/numpy
+       optfeature "django support" dev-python/django dev-python/pytz
+       optfeature "pandas support" dev-python/pandas
+       optfeature "pytest support" dev-python/pytest
+}

Reply via email to